2016 cocoapods 下载和安装 包括 Ruby更新

2016-10-07 19:09:11来源:CSDN作者:kulefeng人点击

mac默认安装了Ruby环境,终端:Ruby版本查看

       ruby -v

现在的cocoapods安装环境要求Ruby至少2.2,不够请更新

Ruby更新

1,安装RVM:Ruby Version Manager (Ruby 版本控制器)

     curl -L get.rvm.io | bash -s stable

等一会就好

     source ~/.bashrc

     source ~/.bash_profile

测试看按装版本

     rvm -v

2,Ruby升级

列出安装版本号

     rvm list known

我是直接安装2.3的

     rvm install 2.3

安装好后查看Ruby —v

Ruby更新原文      http://blog.csdn.net/lissdy/article/details/9191351

cocoapods安装

1,用淘宝的Ruby镜像

         gem sources --remove https://rubygems.org/

gem sources -a http://ruby.taobao.org/

查看是否更换镜像成功

     gem sources -l

 安装成功,终端应该返回如下信息:
*** CURRENT SOURCES ***https://ruby.taobao.org/

2,安装cocoapods

             sudo gem install cocoapods

回车后,会要求你输密码(你的系统密码),密码是看不见的,输完回车就行

        gems installed
看到这条消息,就说明好了


cocoapods使用

1,搜索库类

                 pod search AFNetworking

第一次用会等一段时间,会下一些东西,但你在这个终端窗口看起来是没反应的

另开一个终端窗口,切换目录,看下载进度,大概800M左右

                 cd ~/.cocoapods/

                 du -sh

下载完成后会出现AFNetworking的信息

在工程中创建一个Podfile文件

                     cd /Users/shiyunlei/Desktop/CocoapodsSample(进入工程目录,cd后面的是工程的路径)

                    touch Podfile

打开Podfile文件,输入内容,有格式要求

                    platform:ios, ‘7.0‘                             7.0是指支持的最低版本,在pod search AFNetworking的内容里能看到

                    target "项目名" do

                    pod ‘AFNetworking‘, ‘~> 2.3.1‘         pod search AFNetworking的内容里能看到

                    end

关闭,保存后,终端输入,开始下载

                pod install

好了!!!!!!!,打开工程都需要从类型为  工程名.xcworkspace  文件打开

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台